U++ - Bug #1609
CodeEditor dosen't highlight unsigned numbers
01/06/2017 10:57 PM - Zbigniew Rebacz

Status: Approved Start date: 01/06/2017
Priority: Low Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: CodeEditor Estimated time: 0.00 hour
Target version: Release 2017.2 Spent time: 0.00 hour
Description

Hard-coded unsigned values for example Ou is not highlighted.
size_tsize = 0u;

History

#1 - 01/08/2017 01:01 PM - Zbigniew Rebacz

- Subject changed from CoreEditor dosen't highlight unsined numbers to CoreEditor dosen't highlight unsigned numbers

#2 - 01/15/2017 02:19 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee set to Zbigniew Rebacz

#3 - 01/15/2017 05:38 PM - Zbigniew Rebacz

This is not candidate for 2017.1 ;)

#4 - 01/16/2017 11:58 AM - Zbigniew Rebacz

- Status changed from Ready for QA to In Progress
- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

I think | found bug in current implementation - highlight doesn't work for following code

if(q >= Ou)

So, it means that Ou is the only number that doesn't highlight correctly.

#5 - 05/18/2017 10:07 AM - Miroslav Fidler
- Status changed from In Progress to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#6 - 05/18/2017 09:33 PM - Zbigniew Rebacz
- Target version set to Release 2017.2

#7 - 05/19/2017 10:19 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved
Verified as fixed. Thanks!

#8 - 05/20/2017 08:21 PM - Zbigniew Rebacz
- Subject changed from CoreEditor dosen't highlight unsigned numbers to CodeEditor dosen't highlight unsigned numbers
